# norootforbuild

Name:		ffgtk
Version:	0.7.8
Release:	5.45

Summary:	FRITZ!Box Fax-Software and Call-Monitor!
License:	GPL
Group:		Productivity/Networking/Other
URL:		http://www.tabos.org/ffgtk/index.php

Source0:	%{name}-%{version}.tar.bz2
Source1:	opensuse-install-fax.sh

Patch0:		%{name}-desktop.patch
Patch1:		%{name}-libao.patch
Patch2:		ffgtk-libgmodule.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	curl-devel dbus-1-glib-devel gettext gstreamer-0_10-devel
BuildRequires:	gstreamer-0_10-plugins-base-devel
BuildRequires:	gtk2-devel intltool libao-devel libcapifax-devel
BuildRequires:	libsndfile-devel libxml2-devel speex-devel update-desktop-files
BuildRequires:	autoconf automake libtool


%description
Fritz Fun (ffgtk) is a clean solution for controlling the FRITZ!Box or
compatible router with Linux. It offers a rich feature list, including
caller monitor and fax support.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%if 0%{?suse_version} >= 1220
# this is probably not a proper fix, but it fixes the build for now.
# TODO: check after next version update if this can be removed
# -- seife, 20120817
%patch2 -p1
%endif

for f in ffgtk/Makefile.am plugins/Makefile.am ; do
    sed -i 's/-Werror/-W -Wno-unused/' "$f"
done

%build
./autogen.sh
%configure --disable-static --htmldir=%{_docdir}/%{name}
%__make %{?jobs:-j%{jobs}}


%install
%makeinstall

# install doc
%__install -D -m 644 AUTHORS ChangeLog COPYING README %{buildroot}/%{_docdir}/%{name}/
%__install -D -m 644 %{SOURCE1} %{buildroot}/%{_docdir}/%{name}/
%if %suse_version <= 1120
%__sed -i -e "s|/lib/|/%{_lib}/|g" %{buildroot}/%{_docdir}/%{name}/opensuse-install-fax.sh
%endif

# delete unwanted la-files 
%__rm %{buildroot}/%{_libdir}/%{name}/plugins/*.la

%suse_update_desktop_file %{name} Network Tools

%find_lang %{name}

%clean
%__rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_bindir}/%{name}voxplay
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/lib_ab_fritzfon.so*
%{_libdir}/%{name}/plugins/lib_ab_local.so*
%{_libdir}/%{name}/plugins/lib_ab_thunderbird.so*
%{_libdir}/%{name}/plugins/lib_ab_vcard.so*
%{_libdir}/%{name}/plugins/lib_audio_ao.so*
%{_libdir}/%{name}/plugins/lib_fax_capifax.so*
%{_libdir}/%{name}/plugins/lib_audio_gstreamer.so*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_mandir}/man1/%{name}.1.gz
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/*


%changelog
* Thu Aug 16 2012 seife+obs@b1-systems.com
- fix build with 12.2:
  * autoconf automake libtool buildreq added
  * add patch to fix linking with newer toolchain
* Sat Nov 20 2010 detlef@links2linux.de
- add libao patch
- add gstreamer support
* Fri Nov 19 2010 detlef@links2linux.de
- new upstream version <0.7.8>
  * Voicebox support
  * Faxbox support
  * Audio-Plugin system (gstreamer, ao)
  * Support FRITZ!Box 7170 Annex A, 7270V3, 7340, 7320, 3270, 3270V3
  * MacOSX support
  * IP-Phone detection
  * German city detection
  * Fax Error Correction Mode selectable
  * Bugfixes
* Sat Oct 16 2010 detlef@links2linux.de
- fix dir in opensuse-install-fax.sh
* Mon Aug  9 2010 detlef@links2linux.de
- new upstream version <0.7.7>
  * Password Manager Plugins
  * KDE4 Kwallet support
  * App-Indicator support
  * Thunderbird Addressbook Selection
  * Split actions from popup notifications
  * New FritzFon plugin added
  * Use international/national call prefix
  * Possibility to store numbers in different formats
  * Bug fixes
* Mon May 24 2010 detlef@links2linux.de
- add opensuse-install-fax.sh
* Sun May 23 2010 detlef@links2linux.de
- new upstream version <0.7.6>
  * FRITZ!Box 7390 support
  * New printer driver (faster and multi-user support)
  * Internal call support
  * Company column in call monitor and COMPANY regex
  * New reverse lookup pattern
  * NL translation
  * Disable buttons in popups
  * GNOME-Keyring toggle function
  * GNOME-Keyring fixes
  * Fix audio init
  * Fix missing tooltips
  * Fix menu separators
  * Fix call-by-call support
  * Bugfixes
* Fri Apr 30 2010 detlef@links2linux.de
- new upstream version <0.7.5>
* Wed Sep 24 2008 detlef@links2linux.de
- initial build for packman
